/api/v1/process
Processes the Latin alphabet using OCR
Body for OCR processing
The type of document to process must be specified, since our service can handle different types of documents.
id_cardValores possíveis: This parameter specifies the ID of the document to process.
ARGArray of images as raw buffers encoded in base64 RFC4648.
["iVBORw0KGgoAAAANSUhEUgAAAAoAAAAKCAYAAACNMs+9AAAAFUlEQVR42mP8z8BQz0AEYBxVSF+FABJADveWkH6oAAAAAElFTkSuQmCC.b64"]If the image is already cropped and aligned, the service can skip these operations. Only applies to invoice documents.
falseIf the invoice document does not have the correct aspect ratio, the service can perform an operation to correct it and improve document detection. Only applies to invoice documents.
falseThe service will return the cropped image in base64 in the final result.
falseThe result of the OCR processing
Result of processing an image.
The type of document to process must be specified, since our service can handle different types of documents.
id_cardValores possíveis: This parameter specifies the ID of the document to process.
ARGVersion of the detected document.
2020Side of the detected document.
frontCropped image encoded in base64 RFC4648.
/9j/4AAQSkZJRgABAQEAtAC0AAD...Incorrect parameters were received in the request.
An error occurred in the call to the OCR-SDK backend.
POST /api/v1/process HTTP/1.1
Host: 127.0.0.1:6982/
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 176
{
"type": "id_card",
"model": "ARG",
"files": [
"iVBORw0KGgoAAAANSUhEUgAAAAoAAAAKCAYAAACNMs+9AAAAFUlEQVR42mP8z8BQz0AEYBxVSF+FABJADveWkH6oAAAAAElFTkSuQmCC.b64"
],
"retrieveImages": false
}{
"dictionary": {
"DateOfBirth": "1900-01-01",
"DateOfExpiry": "1900-01-01",
"DateOfIssue": "1901-01-01",
"DocumentCaptured": "ARG/v1",
"DocumentNumber": "12345678A",
"FirstName": "Alicia",
"Nationality": "ESP"
},
"type": "id_card",
"model": "ARG",
"version": "2020",
"side": "front",
"croppedImage": "/9j/4AAQSkZJRgABAQEAtAC0AAD..."
}Atualizado